New to Dataiku DSS? Try out our NEW Quick Start Programs today and get onboarded on the product in just one hour! Let's go

Python unicode ucs4

Solved!
UserBird
Dataiker
Dataiker
Python unicode ucs4

Installing DSS on Webfaction I found this issue. Is there a way to create a virtualenv with DSS requirements properly configured?



 



*********************************************

*   Dataiku Data Science Studio installer   *

*********************************************

[+] Using data directory: DATA_DIR

[+] Using Java at /home/XXX/webapps/dss/jdk1.8.0_60//bin/java : java version "1.8.0_60"

[+] Installation starting

[+] Initializing Python environment



[-] Error: Python interpreter "python2.7" is built with ucs2 Unicode

[-] and is not compatible with DSS-provided standard packages.

[-] Please use a Python installation built with "--enable-unicode=ucs4" configuration option

[-] or define DKUPYTHONBIN to an externally-provided Python installation already containing

[-] the required set of standard packages.



 



 

0 Kudos
1 Solution
UserBird
Dataiker
Dataiker
Author

Just solved compiling fresh copy with right options:



 



 wget https://www.python.org/ftp/python/2.7.9/Python-2.7.9.tgz

 tar xvf Python-2.7.9.tgz 

 cd Python-2.7.9

 pwd

 ./configure --prefix=/home/XXX/webapps/dss/python --enable-unicode=ucs4

 make && make altinstall



 

View solution in original post

0 Kudos
2 Replies
UserBird
Dataiker
Dataiker
Author

Just solved compiling fresh copy with right options:



 



 wget https://www.python.org/ftp/python/2.7.9/Python-2.7.9.tgz

 tar xvf Python-2.7.9.tgz 

 cd Python-2.7.9

 pwd

 ./configure --prefix=/home/XXX/webapps/dss/python --enable-unicode=ucs4

 make && make altinstall



 

View solution in original post

0 Kudos
pbertin
Dataiker
Dataiker
That's it!
0 Kudos
Labels (2)
A banner prompting to get Dataiku DSS